Skip to content
Snippets Groups Projects
Commit 60c55b3a authored by Martin Schupfner's avatar Martin Schupfner
Browse files

Adoption of changes to fx and iniyear offset for other transient simulation scripts

parent 4c6834db
No related branches found
No related tags found
No related merge requests found
Showing
with 63 additions and 39 deletions
......@@ -10,10 +10,10 @@
n_subsim=1
#initial and final year of the experiment
spinup=0
iniyeararr=( $(( 4000 + spinup )) )
iniyeararr=( $(( 4000 + $spinup )) )
finyeararr=( 4999 )
iniyear=$(( 1 + spinup ))
finyear=1000
iniyear=1
finyear=$(( 1000 - $spinup ))
#offset compared to startyear
inioffsetarr=( -3999 )
......
......@@ -12,10 +12,11 @@ n_subsim=4
spinup=1000
iniyeararr=( $(( 3000 + spinup )) 2000 2000 2000 )
finyeararr=( 7999 8999 8999 8999 )
iniyear=$(( 1 + spinup ))
finyear=26000
iniyearoffset=0 # additional offset for iniyear
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-2999 3001 10001 17001)
inioffsetarr=( $(( -2999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
......
......@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
srfmod_input_dec_chunk="???1123124"
ocemod_dec_chunk="???1123124"
icemod_dec_chunk="???1123124"
ocemod_fxyear=3000
#InfoTable(s)
# Define here the "cdocmorinfo"-File or "eum"-Files
......@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
#initial and final year of the experiment
iniyeararr=($((3000+spinup)) 2000 2000 2000) # 26000-1 BP
finyeararr=(7999 8999 8999 8999)
iniyear=1
finyear=$(( 26000 - $spinup ))
iniyearoffset=0 # additional optional offset
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-2999 3001 10001 17001) # 26000-1 BP
inioffsetarr=( $(( -2999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
# - 26000-21001 BP - 5000 yrs - 1- 5000 - - 2999
......@@ -384,6 +386,7 @@ function run_agg
mkdir -p ${sdir}/out_aggr
# Create softlinks to raw model output
echo "... creating links from '$rawsdir' for $period, $submodel"
ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
# Load and run the aggr ScriptFragment
......
......@@ -12,10 +12,11 @@ n_subsim=4
spinup=1000
iniyeararr=( $(( 4000 + spinup )) 2000 2000 2000 )
finyeararr=( 8999 8999 8999 8999 )
iniyear=$(( 1 + spinup ))
finyear=26000
iniyearoffset=0 # additional offset for iniyear
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-3999 3001 10001 17001)
inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
......
......@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
srfmod_input_dec_chunk="???1123124"
ocemod_dec_chunk="???1123124"
icemod_dec_chunk="???1123124"
ocemod_fxyear=4000
#InfoTable(s)
# Define here the "cdocmorinfo"-File or "eum"-Files
......@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
#initial and final year of the experiment
iniyeararr=($((4000+spinup)) 2000 2000 2000) # 26000-1 BP
finyeararr=(8999 8999 8999 8999)
iniyear=1
finyear=$(( 26000 - $spinup ))
iniyearoffset=0 # additional optional offset
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-3999 3001 10001 17001) # 26000-1 BP
inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
#a - 26000-21001 BP - 5000 yrs - 1- 5000 - - 3999
......@@ -384,6 +386,7 @@ function run_agg
mkdir -p ${sdir}/out_aggr
# Create softlinks to raw model output
echo "... creating links from '$rawsdir' for $period, $submodel"
ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
# Load and run the aggr ScriptFragment
......
......@@ -12,10 +12,11 @@ n_subsim=4
spinup=1000
iniyeararr=( $(( 4000 + spinup )) 2000 2000 2000 )
finyeararr=( 8999 8999 8999 8999 )
iniyear=$(( 1 + spinup ))
finyear=26000
iniyearoffset=0 # additional offset for iniyear
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-3999 3001 10001 17001)
inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
......
......@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
srfmod_input_dec_chunk="???1123124"
ocemod_dec_chunk="???1123124"
icemod_dec_chunk="???1123124"
ocemod_fxyear=4000
#InfoTable(s)
# Define here the "cdocmorinfo"-File or "eum"-Files
......@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
#initial and final year of the experiment
iniyeararr=($((4000+spinup)) 2000 2000 2000) # 26000-1 BP
finyeararr=(8999 8999 8999 8999)
iniyear=1
finyear=$(( 26000 - $spinup ))
iniyearoffset=0 # additional optional offset
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-3999 3001 10001 17001) # 26000-1 BP
inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
#a - 26000-21001 BP - 5000 yrs - 1- 5000 - - 3999
......@@ -384,6 +386,7 @@ function run_agg
mkdir -p ${sdir}/out_aggr
# Create softlinks to raw model output
echo "... creating links from '$rawsdir' for $period, $submodel"
ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
# Load and run the aggr ScriptFragment
......
......@@ -12,10 +12,11 @@ n_subsim=4
spinup=1000
iniyeararr=( $(( 3000 + spinup )) 2000 2000 2000 )
finyeararr=( 7999 8999 8999 8999 )
iniyear=$(( 1 + spinup ))
finyear=26000
iniyearoffset=0 # additional offset for iniyear
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-2999 3001 10001 17001)
inioffsetarr=( $(( -2999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
......
......@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
srfmod_input_dec_chunk="???1123124"
ocemod_dec_chunk="???1123124"
icemod_dec_chunk="???1123124"
ocemod_fxyear=3000
#InfoTable(s)
# Define here the "cdocmorinfo"-File or "eum"-Files
......@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
#initial and final year of the experiment
iniyeararr=($((3000+spinup)) 2000 2000 2000) # 26000-1 BP
finyeararr=(7999 8999 8999 8999)
iniyear=1
finyear=$(( 26000 - $spinup ))
iniyearoffset=0 # additional optional offset
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-2999 3001 10001 17001) # 26000-1 BP
inioffsetarr=( $(( -2999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
# - 26000-21001 BP - 5000 yrs - 1- 5000 - - 2999
......@@ -384,6 +386,7 @@ function run_agg
mkdir -p ${sdir}/out_aggr
# Create softlinks to raw model output
echo "... creating links from '$rawsdir' for $period, $submodel"
ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
# Load and run the aggr ScriptFragment
......
......@@ -12,10 +12,11 @@ n_subsim=4
spinup=1000
iniyeararr=( $(( 4000 + spinup )) 2000 2000 2000 )
finyeararr=( 8999 8999 8999 8999 )
iniyear=$(( 1 + spinup ))
finyear=26000
iniyearoffset=0 # additional offset for iniyear
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-3999 3001 10001 17001)
inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
......
......@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
srfmod_input_dec_chunk="???1123124"
ocemod_dec_chunk="???1123124"
icemod_dec_chunk="???1123124"
ocemod_fxyear=4000
#InfoTable(s)
# Define here the "cdocmorinfo"-File or "eum"-Files
......@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
#initial and final year of the experiment
iniyeararr=($((4000+spinup)) 2000 2000 2000) # 26000-1 BP
finyeararr=(8999 8999 8999 8999)
iniyear=1
finyear=$(( 26000 - $spinup ))
iniyearoffset=0 # additional optional offset
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-3999 3001 10001 17001) # 26000-1 BP
inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
#a - 26000-21001 BP - 5000 yrs - 1- 5000 - - 3999
......@@ -384,6 +386,7 @@ function run_agg
mkdir -p ${sdir}/out_aggr
# Create softlinks to raw model output
echo "... creating links from '$rawsdir' for $period, $submodel"
ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
# Load and run the aggr ScriptFragment
......
......@@ -12,10 +12,11 @@ n_subsim=4
spinup=1000
iniyeararr=( $(( 4000 + spinup )) 2000 2000 2000 )
finyeararr=( 8999 8999 8999 8999 )
iniyear=$(( 1 + spinup ))
finyear=26000
iniyearoffset=0 # additional offset for iniyear
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-3999 3001 10001 17001)
inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) )
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
......
......@@ -108,6 +108,7 @@ srfmod_dec_chunk="???0123124"
srfmod_input_dec_chunk="???1123124"
ocemod_dec_chunk="???1123124"
icemod_dec_chunk="???1123124"
ocemod_fxyear=4000
#InfoTable(s)
# Define here the "cdocmorinfo"-File or "eum"-Files
......@@ -134,10 +135,11 @@ errdir_agg=${errdir}_agg
#initial and final year of the experiment
iniyeararr=($((4000+spinup)) 2000 2000 2000) # 26000-1 BP
finyeararr=(8999 8999 8999 8999)
iniyear=1
finyear=$(( 26000 - $spinup ))
iniyearoffset=0 # additional optional offset
iniyear=$(( $iniyearoffset + 1 ))
finyear=$(( 26000 + $iniyearoffset - $spinup ))
#offset compared to startyear
inioffsetarr=(-3999 3001 10001 17001) # 26000-1 BP
inioffsetarr=( $(( -3999 + $iniyearoffset )) $(( 3001 + $iniyearoffset )) $(( 10001 + $iniyearoffset )) $(( 17001 + $iniyearoffset )) ) # 26000-1 BP
# Time axis (26000-1 BP)
## exp time total yrs new exp time offset
#a - 26000-21001 BP - 5000 yrs - 1- 5000 - - 3999
......@@ -384,6 +386,7 @@ function run_agg
mkdir -p ${sdir}/out_aggr
# Create softlinks to raw model output
echo "... creating links from '$rawsdir' for $period, $submodel"
ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
# Load and run the aggr ScriptFragment
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment